<template>
  <!-- 买卖大厅 -->
  <div class="buy-sell-market">买卖大厅
    <button @click="cancel">关闭</button>
  </div>
</template>

<script lang="ts">
import { defineComponent, ModalEnum } from '@/common/export/commonTable';
import { _closeModal } from '@/common/setup/modal/modal';

export default defineComponent({
    emits: ['cancel'],
    name: ModalEnum.warehouse_receipt_trade_price_delisting,
    setup(props, context) {
        const { visible, cancel } = _closeModal(context);
        return {
            cancel,
            visible,
        };
    },
});
</script>
<style lang="less">
.buy-sell-market {
    position: absolute;
    z-index: 99;
    top: 0;
    height: 100%;
    width: 100%;
    bottom: 30px;
    background: #fff;
    left: 0;
}
</style>